import { distinctUntilChanged } from '../distinctUntilChanged';
import { Observable } from '../../Observable';
const observableProto = Observable.prototype;
export function distinctUntilKeyChanged(key, compare, thisArg) {
    return distinctUntilChanged.call(this, function (x, y) {
        if (compare) {
            return compare.call(thisArg, x[key], y[key]);
        }
        return x[key] === y[key];
    });
}
observableProto.distinctUntilKeyChanged = distinctUntilKeyChanged;
//# sourceMappingURL=distinctUntilKeyChanged.js.map