import { Observable } from '../../Observable';
import { ReduceOperator } from '../reduce-support';
const observableProto = Observable.prototype;
export function min(comparer) {
    const min = (typeof comparer === 'function')
        ? comparer
        : (x, y) => x < y ? x : y;
    return this.lift(new ReduceOperator(min));
}
observableProto.min = min;
//# sourceMappingURL=min.js.map