import { not } from '../util/not';
import { filter } from './filter';
import { Observable } from '../Observable';
export function partition(predicate, thisArg) {
    return [
        filter.call(this, predicate),
        filter.call(this, not(predicate, thisArg))
    ];
}
Observable.prototype.partition = partition;
//# sourceMappingURL=partition.js.map