import { Observable } from '../Observable';
import { Subscriber } from '../Subscriber';
import { Scheduler } from '../Scheduler';
import { Subscription } from '../Subscription';
export declare class CallbackObservable<T> extends Observable<T> {
    private callbackFunc;
    private ctx;
    private selector;
    private args;
    scheduler: Scheduler;
    _isScalar: boolean;
    value: T | T[];
    static create<T>(callbackFunc: Function, ctx?: Object, selector?: Function, scheduler?: Scheduler): Function;
    constructor(callbackFunc: Function, ctx: any, selector: any, args: any[], scheduler?: Scheduler);
    _subscribe(subscriber: Subscriber<T | T[]>): Subscription<{}>;
}
