import { Observable } from '../../Observable';
import { ReduceOperator } from '../reduce-support';
const observableProto = Observable.prototype;
export function max(comparer) {
    const max = (typeof comparer === 'function')
        ? comparer
        : (x, y) => x > y ? x : y;
    return this.lift(new ReduceOperator(max));
}
observableProto.max = max;
//# sourceMappingURL=max.js.map