import { ReplaySubject } from '../subjects/ReplaySubject';
import { Observable } from '../Observable';
import { multicast } from './multicast';
export function publishReplay(bufferSize = Number.POSITIVE_INFINITY, windowTime = Number.POSITIVE_INFINITY, scheduler) {
    return multicast.call(this, new ReplaySubject(bufferSize, windowTime, scheduler));
}
Observable.prototype.publishReplay = publishReplay;
//# sourceMappingURL=publishReplay.js.map